#####################################
## filenames
#####################################

fClassifier = 'learner/model/randomForest'

#####################################
## Unsupervised learning parameters
#####################################

# for clustering
mClusters = 100

#####################################
## Supervised learning parameters
#####################################

# number of cross validation folds
numCvs = 3

# cross validation with held out data (if = 1)
cvExplicit = 0

# number of trees for random forest classifier
numTrees = 1
minSplit = 10
maxDepth = 1
crit = 'gini'
maxFeat = 'auto'
minSamp = 1
lRate = 1.0

# plot ROC curve
plotROC = 0

# generate additional classification report: 0 = none, 1 = only test, 2 = test + train
genClassReport = 0


# plot auc
compAuC = 1

# initialization of random seed
rstate = 1

featLabel = ''

# persistance = 1 -> save to file
persistance = 0

# debug output if 1
debugoutput = 0

######################################
# Classifier types
######################################
tRF = 0
tSVM = 1
tRF1v = 2
tSVM1v = 3
tLogRegL2 = 4
tLogRegL1 = 5
tAdaBoost = 6
tDecTree = 7
tGaussNB = 8
tExtraTrees = 9
tBoostTrees = 10

# log reg coeff
C = 1.0

# chosen learner

tLearn = tDecTree

######################################
# boosting specific
######################################

subSam = 10000
